Makrodefinicja HealArcs

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro HealArcs and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎čeština

Macro HealArcs.png HealArcs

Description
Czasami łuki są przekształcane w krzywą złożoną, na przykład gdy zastosowano do nich operacje skalowania. To makro odtwarza z nich prawidłowe łuki. Przydatne przed eksportem do formatu DXF.

Macro version: 0.1
Last modified: 2011-09-24
FreeCAD version: Wszystkie
Download: Ikonka paska narzędzi
Author: Yorik
Author
Yorik
Download
Ikonka paska narzędzi
Links
Macro Version
0.1
Date last modified
2011-09-24
FreeCAD Version(s)
Wszystkie
Default shortcut
None
See also
None

Opis

Czasami łuki są przekształcane w krzywą złożoną, na przykład gdy zastosowano do nich operacje skalowania. To makro odtwarza z nich prawidłowe łuki. Przydatne przed eksportem do formatu DXF.

Tworzenie skryptów

Ikonka paska narzędzi Macro HealArcs.png Macro_HealArcs.FCMacro

try:
    import DraftGeomUtils as fcgeo
except:
    from draftlibs import fcgeo
import FreeCAD,FreeCADGui,Part

sel = FreeCADGui.Selection.getSelection()
if not sel:
    FreeCAD.Console.PrintWarning("Select something first!")
else:
    removeList = []
    for obj in sel:
        ed = obj.Shape.Edges[0]
        arc = fcgeo.arcFromSpline(ed)
        if arc:
            Part.show(arc)
            removeList.append(obj.Name)
    FreeCAD.ActiveDocument.recompute()
    print("removing", removeList)
    for n in removeList:
        FreeCAD.ActiveDocument.removeObject(n)